<mat-card class= "card" (click)="onCityClick(city)">
  <mat-card-title>{{city.name}}</mat-card-title>
  <div class="card__icon">
      <img src={{city.weather[0].icon}}>
  </div>
  <div class="card__weather">
    <div class="temp">{{city.main.temp | FToC }}°</div>
    <div class="weather">{{city.weather[0].main}}</div>
  </div>
  <div class="card__temp">
    <div>
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 20" fill="green" width="40px" height="30px"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M7 10l5 5 5-5H7z"/></svg>
      {{city.main.temp_min | FToC }}
      <div class="down__icon">Min</div>
    </div>

    <div>
      <div class="up__icon">
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 20" fill="red" width="40px" height="30px"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M7 14l5-5 5 5H7z"/></svg></div>
      {{city.main.temp_max | FToC }}
      <div class="up__icon">Max</div>
    </div>
  </div>
  <button class="add__button" type="submit" (click)="onAddClick()">Add  City +</button>
  <button class="delete__button" type="submit" (click)="onDeleteClick()">Delete City -</button>
</mat-card>
